Package org.apache.catalina.ssi

## Class SSIServletExternalResolver.ServletContextAndPath

- java.lang.Object
- - org.apache.catalina.ssi.SSIServletExternalResolver.ServletContextAndPath

Enclosing class:
  SSIServletExternalResolver

    protected static class SSIServletExternalResolver.ServletContextAndPath
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `path`
`protected ServletContext` `servletContext`

### Constructor Summary

Constructors
`ServletContextAndPath​(ServletContext servletContext, java.lang.String path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getPath()`
`ServletContext` `getServletContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### servletContext

    protected final ServletContext servletContext

#### path

    protected final java.lang.String path

### Constructor Detail

#### ServletContextAndPath

    public ServletContextAndPath​(ServletContext servletContext,
                                 java.lang.String path)

### Method Detail

#### getServletContext

    public ServletContext getServletContext()

#### getPath

    public java.lang.String getPath()